
<button class="btn btn-danger btn-sm" (click)="search.show()" *ngIf="residente !== null"
    [disabled]="(service.loading | async) === true">
    <span *ngIf="(service.loading | async) === false; else loading">Mover A</span>
    <ng-template #loading>
        <span class="spinner-grow spinner-grow-sm text-white"></span>
        <span>Moviendo a {{ residente.ResidenciaNumero }}</span>
    </ng-template>
</button>

<search-template #search searchTitle="Residencia" [service]="rsService" [columns]="columns"
    (onSelect)="selectedItem($event)" [busy]="rsService.busy" [filter]="filter">
</search-template>
